import { ComponentBase, DefineVueComponent } from '@syncfusion/ej2-vue-base';
import { TreeGrid, TreeGridModel } from '@syncfusion/ej2-treegrid';
export declare const properties: string[];
export declare const modelProps: string[];
export declare const testProp: any;
export declare const props: any, watch: any, emitProbs: any;
/**
 * `ejs-treegrid` represents the VueJS TreeGrid Component.
 * ```vue
 * <ejs-treegrid :dataSource='data' allowPaging='true' allowSorting='true'></ejs-treegrid>
 * ```
 */
export declare let TreeGridComponent: DefineVueComponent<TreeGridModel>;
export declare type TreeGridComponent = typeof ComponentBase & {
    ej2Instances: TreeGrid;
    isVue3: boolean;
    isLazyUpdate: Boolean;
    plugins: any[];
    propKeys: string[];
    models: string[];
    hasChildDirective: boolean;
    tagMapper: {
        [key: string]: Object;
    };
    tagNameMapper: Object;
    setProperties(prop: any, muteOnChange: boolean): void;
    trigger(eventName: string, eventProp: {
        [key: string]: Object;
    }, successHandler?: Function): void;
    addRecord(data?: Object, index?: number, position?: Object): void;
    autoFitColumns(fieldNames?: string | string[]): void;
    clearFiltering(): void;
    clearSelection(): void;
    clearSorting(): void;
    closeEdit(): void;
    collapseAll(): void;
    collapseAtLevel(level: number): void;
    collapseByKey(key: Object): void;
    collapseRow(row: Object, record?: Object, key?: Object): void;
    copy(withHeader?: boolean): void;
    csvExport(excelExportProperties?: Object, isMultipleExport?: boolean, workbook?: any, isBlob?: boolean): Object;
    deleteRecord(fieldName?: string, data?: Object): void;
    deleteRow(tr: Object): void;
    editCell(rowIndex?: number, field?: string): void;
    enableToolbarItems(items: string[], isEnable: boolean): void;
    endEdit(): void;
    excelExport(excelExportProperties?: Object | Object, isMultipleExport?: boolean, workbook?: any, isBlob?: boolean): Object;
    expandAll(): void;
    expandAtLevel(level: number): void;
    expandByKey(key: Object): void;
    expandRow(row: Object, record?: Object, key?: Object, level?: number): void;
    extendRequiredModules(modules: Object[]): void;
    filterByColumn(fieldName: string, filterOperator: string, filterValue: string | number | Object | boolean | number[] | string[] | Object[] | boolean[], predicate?: string, matchCase?: boolean, ignoreAccent?: boolean, actualFilterValue?: string, actualOperator?: string): void;
    getBatchChanges(): Object;
    getCellFromIndex(rowIndex: number, columnIndex: number): Object;
    getCheckedRecords(): Object[];
    getCheckedRowIndexes(): number[];
    getColumnByField(field: string): Object;
    getColumnByUid(uid: string): Object;
    getColumnFieldNames(): string[];
    getColumnHeaderByField(field: string): Object;
    getColumnHeaderByIndex(index: number): Object;
    getColumnHeaderByUid(uid: string): Object;
    getColumnIndexByField(field: string): number;
    getColumnIndexByUid(uid: string): number;
    getColumns(isRefresh?: boolean): Object[];
    getContent(): Object;
    getContentTable(): Object;
    getCurrentViewRecords(): Object[];
    getDataModule(): Object;
    getDataRows(): Object[];
    getFooterContent(): Object;
    getFooterContentTable(): Object;
    getFrozenLeftColumnHeaderByIndex(index: number): Object;
    getFrozenRightCellFromIndex(rowIndex: number, columnIndex: number): Object;
    getFrozenRightColumnHeaderByIndex(index: number): Object;
    getFrozenRightDataRows(): Object[];
    getFrozenRightRowByIndex(index: number): Object;
    getFrozenRightRows(): Object[];
    getHeaderContent(): Object;
    getHeaderTable(): Object;
    getMovableCellFromIndex(rowIndex: number, columnIndex: number): Object;
    getMovableColumnHeaderByIndex(index: number): Object;
    getMovableDataRows(): Object[];
    getMovableRowByIndex(index: number): Object;
    getMovableRows(): Object[];
    getPager(): Object;
    getPrimaryKeyFieldNames(): string[];
    getRowByIndex(index: number): Object;
    getRowInfo(target: Object | Object): Object;
    getRows(): Object[];
    getSelectedRecords(): Object[];
    getSelectedRowCellIndexes(): Object[];
    getSelectedRowIndexes(): number[];
    getSelectedRows(): Object[];
    getUidByColumnField(field: string): string;
    getVisibleColumns(): Object[];
    getVisibleRecords(): Object[];
    goToPage(pageNo: number): void;
    hideColumns(keys: string | string[], hideBy?: string): void;
    hideSpinner(): void;
    indent(record?: Object): void;
    openColumnChooser(x?: number, y?: number): void;
    outdent(record?: Object): void;
    paste(data: string, rowIndex: number, colIndex: number): void;
    pdfExport(pdfExportProperties?: Object | Object, isMultipleExport?: boolean, pdfDoc?: Object, isBlob?: boolean): Object;
    print(): void;
    refresh(): void;
    refreshColumns(refreshUI?: boolean): void;
    refreshHeader(): void;
    reorderColumns(fromFName: string | string[], toFName: string): void;
    reorderRows(fromIndexes: number[], toIndex: number, position: string): void;
    saveCell(): void;
    search(searchString: string): void;
    selectCell(cellIndex: Object, isToggle?: boolean): void;
    selectCheckboxes(indexes: number[]): void;
    selectRow(index: number, isToggle?: boolean): void;
    selectRows(rowIndexes: number[]): void;
    serverCsvExport(url: string): void;
    serverExcelExport(url: string): void;
    serverPdfExport(url: string): void;
    setCellValue(key: string | number, field: string, value: string | number | boolean | Object): void;
    setRowData(key: string | number, rowData?: Object): void;
    showColumns(keys: string | string[], showBy?: string): void;
    showSpinner(): void;
    sortByColumn(columnName: string, direction: Object, isMultiSort?: boolean): void;
    startEdit(row?: Object): void;
    updateCell(rowIndex: number, field: string, value: string | number | boolean | Object): void;
    updateExternalMessage(message: string): void;
    updateRow(index: number, data: Object): void;
};
export declare const TreeGridPlugin: {
    name: string;
    install(Vue: any): void;
};
